{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2021 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}


{* {html_entity_decode($montonioPaymentsData['banksUI']|escape:'htmlall':'UTF-8')} *}
{foreach from=$paymentMethodsOrder item=paymentMethod}
    {if $paymentMethod === 'MontonioPayments' && $montonioPaymentsData['enabled']}
        <div class="row">
            <div class="col-xs-12 montonio-payments-block">
                <form name="MontonioPayments" id="MontonioPaymentsForm" method="POST" action="{$link->getModuleLink('montonio', 'validation', ['method' => 'MontonioPayments'], true)|escape:'htmlall':'UTF-8'}">
                    <p class="payment_module montonio_payments_widget_payment_button" id="montonio_payments_payment_button">
                        <a
                                {if !in_array($montonioPaymentsData['paymentHandleStyle'], array('grid_logos', 'list_logos'))}
                                    href="{$link->getModuleLink('montonio', 'validation', ['method' => 'MontonioPayments'], true)|escape:'htmlall':'UTF-8'}"
                                {/if}
                                id="montonio_payments_payment_button_link"
                                {if $montonioPaymentsData['show_logo']}
                                    style="background: url({$montonioPaymentsData['logo_url']|escape:'htmlall':'UTF-8'}) 0px 20px no-repeat #fbfbfb; background-size: 64px"
                                {/if}
                                {if !$montonioPaymentsData['show_logo']}
                                    style="padding: 33px 40px 34px 0px; border: none;"
                                {/if}
                                class="montonio montonio_payments {if in_array($montonioPaymentsData['paymentHandleStyle'], array('grid_logos', 'list_logos'))}chevron-down{/if}">
                            {l s='Pay with your bank' mod='montonio'}
                        </a>
                        {$montonioPaymentsData['banksUI']}
                    </p>
                </form>
            </div>
        </div>
    {/if}
    {if $paymentMethod === 'MontonioBlikPayments' && $montonioBlikPaymentsData['enabled']}
        <div class="row">
            <div class="col-xs-12 montonio-payments-block">
                <p class="payment_module montonio_payments_payment_button" id="montonio_blik_payments_payment_button">
                    <a
                            {if !in_array($montonioBlikPaymentsData['paymentHandleStyle'], array('grid_logos', 'list_logos'))}
                                href="{$link->getModuleLink('montonio', 'validation', ['method' => 'MontonioBlikPayments'], true)|escape:'htmlall':'UTF-8'}"
                            {/if}
                            id="montonio_blik_payments_payment_button_link"
                            {if $montonioBlikPaymentsData['show_logo']}
                                style="background: url({$montonioBlikPaymentsData['logo_url']|escape:'htmlall':'UTF-8'}) 0px 40px no-repeat #fbfbfb; background-size: 64px; padding: 33px 40px 34px 85px;"
                            {/if}
                            {if !$montonioBlikPaymentsData['show_logo']}
                                style="padding: 33px 40px 34px 0px; border: none;"
                            {/if}
                            class="montonio montonio_payments {if in_array($montonioBlikPaymentsData['paymentHandleStyle'], array('grid_logos', 'list_logos'))}chevron-down{/if}">
                        {l s=$montonioBlikPaymentsData['title'] mod='montonio'}<br>
                        <span>{l s=$montonioBlikPaymentsData['description'] mod='montonio'}</span>
                    </a>
                </p>
            </div>
        </div>
    {/if}
    {if $paymentMethod === 'MontonioCardPayments' && $montonioPaymentsData['enabled']}
        <div class="row">
            <div class="col-xs-12">
                <p class="payment_module montonio_card_payments_payment_button" id="montonio_card_payments_payment_button">
                    <a
                            {if !in_array($montonioCardPaymentsData['paymentHandleStyle'], array('grid_logos', 'list_logos'))}
                                href="{$link->getModuleLink('montonio', 'validation', ['method' => 'MontonioCardPayments'], true)|escape:'htmlall':'UTF-8'}"
                            {/if}
                            id="montonio_card_payments_payment_button_link"
                            {if $montonioCardPaymentsData['show_logo']}
                                style="background: url({$montonioCardPaymentsData['logo_url']|escape:'htmlall':'UTF-8'}) 15px 40px no-repeat #fbfbfb; background-size: 235px; padding: 33px 40px 34px 270px; border: none;"
                            {/if}
                            {if !$montonioCardPaymentsData['show_logo']}
                                style="padding: 33px 40px 34px 15px; border: none;"
                            {/if}
                            class="montonio montonio_card_payments {if in_array($montonioCardPaymentsData['paymentHandleStyle'], array('grid_logos', 'list_logos'))}chevron-down{/if}">
                        {l s=$montonioCardPaymentsData['title'] mod='montonio'}<br>
                        <span>{l s=$montonioCardPaymentsData['description'] mod='montonio'}</span>
                    </a>
                </p>
            </div>
        </div>
    {/if}

    {if $paymentMethod === 'MontonioFinancing' && $montonioFinancingData['enabled']}
        <div class="row">
            <div class="col-xs-12">
                <p class="payment_module montonio_financing_payment_button" id="montonio_financing_payment_button">
                    <a
                            {if $montonioFinancingData['show_logo']}
                                style="background: url({$montonioFinancingData['logo_url']|escape:'htmlall':'UTF-8'}) 15px center no-repeat #fbfbfb; background-size: 185px; padding-left: 200px !important;"
                            {/if}
                            {if !$montonioFinancingData['show_logo']}
                                style="padding: 33px 40px 34px 15px;"
                            {/if}
                            class="montonio montonio_financing" href="{$link->getModuleLink('montonio', 'validation', ['method' => 'MontonioFinancing'], true)|escape:'htmlall':'UTF-8'}" title="{l s=$montonioFinancingData['title'] mod='montonio'}">
                        {l s=$montonioFinancingData['title'] mod='montonio'}<br>
                        <span>{l s=$montonioFinancingData['description'] mod='montonio'}</span>
                    </a>
                </p>
            </div>
        </div>
    {/if}
    {if $paymentMethod === 'MontonioSplit' && $montonioSplitData['enabled']}
        <div class="row">
            <div class="col-xs-12">
                <p class="payment_module montonio_split_payment_button" id="montonio_split_payment_button">
                    <a
                            {if $montonioSplitData['show_logo']}
                                style="background: url({$montonioSplitData['logo_url']|escape:'htmlall':'UTF-8'}) 15px center no-repeat #fbfbfb; background-size: 185px; padding-left: 200px !important;"
                            {/if}
                            {if !$montonioSplitData['show_logo']}
                                style="padding: 33px 40px 34px 15px;"
                            {/if}
                            class="montonio montonio_split" href="{$link->getModuleLink('montonio', 'validation', ['method' => 'MontonioSplit', 'loan_period' => $montonioSplitData['loan_period']], true)|escape:'htmlall':'UTF-8'}" title="{l s=$montonioSplitData['title'] mod='montonio'}">
                        {l s=$montonioSplitData['title'] mod='montonio'}<br>
                        <span>{l s=$montonioSplitData['description'] mod='montonio'}</span>
                    </a>
                </p>
            </div>
        </div>
    {/if}
{/foreach}
<style>

    .montonio_financing_payment_button
    {ldelim}
        background: #fbfbfb;
    {rdelim}

    .montonio_payments_payment_button
    {ldelim}
        background: #fbfbfb;
        border: 1px solid #d6d4d4;
        box-sizing: border-box;
        padding-left: 15px;
        padding-right: 15px;
    {rdelim}

    .montonio_card_payments_payment_button
    {ldelim}
        background: #fbfbfb;
        border: 1px solid #d6d4d4;
        box-sizing: border-box;
        padding-left: 0px;
        padding-right: 15px;
    {rdelim}

    .montonio_payments_widget_payment_button
    {ldelim}
        background: #fbfbfb;
        border: 1px solid #d6d4d4;
        border-bottom: none;
        box-sizing: border-box;
        padding-left: 15px;
        padding-right: 15px;
        margin-bottom: 0px !important;
    {rdelim}

    .montonio-target-container
    {ldelim}
        height: auto !important;
        max-height: 100% !important;
        border: 1px solid #d6d4d4;
        border-top: none !important;
    {rdelim}

    .montonio-target-container p
    {ldelim}
        margin-top: 15px;
    {rdelim}

    .montonio_card_payments_payment_button
    {ldelim}
        padding-right: 0px !important;
    {rdelim}

    p.payment_module a.montonio_payments
    {ldelim}
        border: none;
        padding: 27px 40px 15px 84px;
    {rdelim}

    p.payment_module a.montonio:after
    {ldelim}
        display: block;
        content: "\f054";
        position: absolute;
        right: 15px;
        margin-top: -11px;
        top: 50%;
        font-family: "FontAwesome";
        font-size: 25px;
        height: 22px;
        width: 14px;
        color: #777777;
    {rdelim}

    p.payment_module a.montonio_payments:after
    {ldelim}
        right: 5px;
    {rdelim}

    p.payment_module a.montonio.chevron-down:after
    {ldelim}
        content: "\f078";
    {rdelim}

    p.payment_module a.montonio:hover
    {ldelim}
        background-color: #f6f6f6;
    {rdelim}

    p.payment_module a.montonio.chevron-down:hover
    {ldelim}
        background-color: #fbfbfb;
    {rdelim}
</style>


{if isset($montonioPaymentsData['paymentHandleCss'])}
    <style type="text/css">
        {$montonioPaymentsData['paymentHandleCss']|escape:'htmlall':'UTF-8'}
    </style>
{/if}

{* Extra styles *}